<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('provider_fulfillment_attempts', function (Blueprint $table) {
            $table->foreignId('provider_id')->nullable()->after('order_item_id')->constrained()->nullOnDelete();
        });
    }

    public function down(): void
    {
        Schema::table('provider_fulfillment_attempts', function (Blueprint $table) {
            $table->dropConstrainedForeignId('provider_id');
        });
    }
};
